﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;

namespace WindowsPhoneApplication1
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            RingtonePicker.ItemsSource =
                new[]
                {
                    new Ringtone("纯净"),
                    new Ringtone("柔丝"),
                    new Ringtone("对称"),
                    new Ringtone("珍珠"),
                    new Ringtone("晶格"),
                    new Ringtone("春天"),
                };
        }

        private void Image_Tap(object sender, System.Windows.Input.GestureEventArgs e)
        {
            using (var stream = TitleContainer.OpenStream("Windows Logon Sound.wav"))
            {
                var audio = SoundEffect.FromStream(stream);
                FrameworkDispatcher.Update();
                audio.Play();
            }

            e.Handled = true;
        }

        private void Image_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true;
        }

        //private void Button_Click(object sender, RoutedEventArgs e)
        //{
        //    var media = new MediaElement();
        //    LayoutRoot.Children.Add(media);
        //    media.Volume = 1;
        //    media.Source = new Uri("Windows Logon Sound.wav", UriKind.Relative);
        //}
    }

    public class Ringtone
    {
        public Ringtone(string name)
        {
            Name = name;
        }

        public string Name { get; private set; }
    }
}
